services:
  kami_merchant:
    build:
      context: ..
      dockerfile: ./deploy/Dockerfile
      args:
        - USE_PROXY=$USE_PROXY
    container_name: kami_merchant
    image: kami_merchant:$VERSION
    restart: always
    ports:
      - "127.0.0.1:22307:12307"
    volumes:
      - /data/kami/merchant/conf/:/app/conf/
      - /data/kami/merchant/logs/:/app/logs/
    networks:
      - 1panel-network
    labels:
      createdBy: Developer

networks:
  1panel-network:
    external: true
